local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.MopVendorMounts(container)


--[[ Scroll Frame ]]--
local scrollcontainer = AceGUI:Create("SimpleGroup") 
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) 
scrollcontainer:SetLayout("Fill") 

container:AddChild(scrollcontainer)

local scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") 
scrollcontainer:AddChild(scroll)

  
  


 
  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\ability_mount_yakmountbrown:24|t '.."\124cffa335ee\124Hitem:87789::::::::60:::::\124h[Reins of the Blonde Riding Yak]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\ability_mount_yakmountgrey:24|t '.."\124cffa335ee\124Hitem:87788::::::::60:::::\124h[Reins of the Grey Riding Yak]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\ability_mount_travellersyakmount:24|t '.."\124cffa335ee\124Hitem:84101::::::::60:::::\124h[Reins of the Grand Expedition Yak]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Kun-Lai Summit")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Vendor Waypoint")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #379 65.4 61.6 Uncle Bigpocket") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    
  
--=============================================================================================
--=============================================================================================
  
  
  
  

  
  
  

  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  end